# Overview

# Deployment
use the following command to transfer project to raspberry pi:
```
scp -r gpio pi@192.168.1.77:~
```

# usage
## switch first relais on
```
java gpio_java rel1 on
```
## switch first relais off
```
java gpio_java rel1 off
```
## read status of first relais
```
java gpio_java rel1 status
```

## Create Dokumentation
```
javadoc -d doc *.java
```


# Requirements
## HW
* Raspberry PI

## Software
* raspberian url:

# Verbindung zwischen Raspberry Pi und Relais Box
Pin 	GPIO		Relais/Box
* 2	    5v		    VCC
* 6	    GND		    GND
* 8	    GPIO 14		In1
* 10	GPIO 15	    In2
* 12	GPIO 18		In3
* 16	GPIO 23		In4
* 18	GPIO 24		In5
* 22	GPIO 25		In6
* 24	GPIO 8		In7
* 26	GPIO 7		In8

# ToDo
* Klärung : Was ist ein md File? Wie wird eine Tabelle Dokumentiert?
* Javadoc Kommentare hinzuf�gen, Dokumentation generieren und anschauen
* Test Durchführen und logfile erzeugen




